Loading...
Searching...
No Matches
NegWriteMap< M > Class Template Reference
Data Structures » Maps » Map Adaptors

## Detailed Description

template<typename M>
class lemon::NegWriteMap< M >

This read-write map returns the negative of the values of the given map (using the unary `-` operator). Its `Key` and `Value` are inherited from `M`. It makes also possible to write the map.

If M::Value is `int`, `double` etc., then

NegWriteMap<M> neg(m);
lemon::NegWriteMap::NegWriteMap
NegWriteMap(M &m)
Constructor.
Definition maps.h:1253

is equivalent to

ScaleWriteMap<M> neg(m,-1);
lemon::ScaleWriteMap
Scales a map with a constant (read-write version).
Definition maps.h:1137

The simplest way of using this map is through the negWriteMap() function.

See also
  NegMap

`#include <lemon/maps.h>`

Inheritance diagram for NegWriteMap< M >:
[legend]

## Public Types

typedef M::Key | Key
typedef M::Value | Value
Public Types inherited from MapBase< M::Key, M::Value >
typedef M::Key | Key
| The key type of the map.
typedef M::Value | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions

| NegWriteMap (M &m)
| Constructor.
Value | operator[] (const Key &k) const
void | set (const Key &k, const Value &v)

## Related Symbols

(Note that these are not member symbols.)
template<typename M>
NegWriteMap< M > | negWriteMap (M &m)
| Returns a `NegWriteMap` class.